Page MenuHomePhabricator

Apple iOS push notification backend for user notification system
Closed, ResolvedPublic

Description

For the iOS (iPhone/iPad/iPod Touch) app to show background notifications for user messages and other things, we'll need server-side support to manage device subscriptions and send pings off to Apple's servers.

Will also need client-side support to use it.


Version: 1.20.x
Severity: normal

Details

Reference
bz32287

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:07 AM
bzimport set Reference to bz32287.
bzimport added a subscriber: Unknown Object (MLST).
brion created this task.Nov 8 2011, 9:14 PM
TheDJ added a comment.Nov 9 2011, 7:56 PM

client side is easy (really, really easy). It's the server part that is critical.

I know of two systems that are open source; http://code.google.com/p/apns-php/ and http://www.easyapns.com/php-source but i'm not aware of it's performance and/or featuresets.

Probably best to combine the google and ios push services into one system. not sure which one of them would be the easiest to extend for that.

JMinor closed this task as Resolved.Dec 1 2020, 9:41 PM
JMinor claimed this task.
JMinor added a subscriber: JMinor.

The backend is done! https://www.mediawiki.org/wiki/Wikimedia_Product_Infrastructure_team/Push_Notifications_Infrastructure

The Android team is rolling this out in their client now, and iOS is starting client development.

JMinor awarded a token.Dec 1 2020, 9:41 PM